name='python3-inputs'
version='0.5'
release='1'
desc='Cross-platform Python support for keyboards, mice and gamepads.'
homepage='https://github.com/zeth/inputs'
maintainer='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('BSD')
provides=('inputs')
conflicts=('inputs')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")

sources=("https://files.pythonhosted.org/packages/source/i/inputs/inputs-0.5.tar.gz")
checksums=('blake2b-256:d1cd5f434220920f76eb73d19bb7aab8d857445f40aa642718e6e51e850cd663')

build() {
  cd "$srcdir/inputs-${version}"
  python -m build --wheel --no-isolation
}

package() {
  cd "$srcdir/inputs-${version}"
  pip install --root="${pkgdir}/" . --no-deps --ignore-installed --disable-pip-version-check
}

files() {
  echo ./usr/local/lib/python3.*/site-packages/inputs.py
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/inputs-${version}.dist-info/*
}