name='python3-mdit-py-plugins'
version='0.4.2'
release='1'
desc='Collection of plugins for markdown-it-py.'
homepage=''
maintainer='Example <user@example.com>'
architectures=('all')
license=('custom:Unknown')
provides=('mdit-py-plugins')
conflicts=('mdit-py-plugins')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")

sources=("https://files.pythonhosted.org/packages/source/m/mdit-py-plugins/mdit_py_plugins-0.4.2.tar.gz")
checksums=('blake2b-256:1903a2ecab526543b152300717cf232bb4bb8605b6edb946c845016fa9c9c9fd')

build() {
  cd "$srcdir/mdit_py_plugins-${version}"
  python -m build --wheel --no-isolation
}

package() {
  cd "$srcdir/mdit_py_plugins-${version}"
  pip install --root="${pkgdir}/" . --no-deps --ignore-installed --disable-pip-version-check
}

files() {
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/mdit_py_plugins/**/*
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/mdit_py_plugins-${version}.dist-info/*
}